% funkce pro výpočet IELFmod koeficientu
function [ielf_mod_value] = ielfModCalc...
         (lower_index, upper_index, delka, data_1, data_2, x_axis)

    % podmínka pro výpočet v případě, že se počáteční koeficient pásma
    % rovná počátečnímu koeficientu frekvenční osy
    if lower_index == 1
        suma = abs(data_1(lower_index)-data_2(lower_index))*...
                  (log((x_axis(lower_index+1)+x_axis(lower_index))/2)-...
                  log((x_axis(lower_index)+x_axis(lower_index))/2));
    else
        suma = 0;
    end
    
    for i = (lower_index+1):(upper_index-1)
        suma = suma + (abs(data_1(i)-data_2(i))*...
                      (log((x_axis(i+1)+x_axis(i))/2)-log((x_axis(i)+...
                      x_axis(i-1))/2)));
    end

    % podmínka pro výpočet v případě, že se koncový koeficient pásma
    % rovná koncovému koeficientu frekvenční osy    
    if (lower_index ~= 1) && (upper_index ~= delka)
        suma = suma + (abs(data_1(upper_index)-data_2(upper_index))*...
                      (log((x_axis(upper_index)+x_axis(upper_index))/2)-...
                      log((x_axis(upper_index)+x_axis(upper_index-1))/2)));
    end

    ielf_mod_value = suma/(log(x_axis(delka))-log(x_axis(1)));

end